Kerbal Space Program - Bug #9646

contract orbits appearing, with no matching contracts
05/01/2016 07:11 PM - gnivler
Description

I'm seeing two contract orbits but matching contracts do not exist either offered or accepted. I've purged all available contracts via
GUI and save file edit but can't get rid of them.

I'm not sure how it could be reproduced, but | do have a habit of reclassifying old vessels as debris and I've cancelled a good number
of accepted and offered contracts. This save is from a modded install, made stock for reporting purposes.

Fairly sure this was present at least in 1.1.0 but it persists to 1.1.2

History

#1 - 05/07/2016 09:30 PM - gnivler

A quick update, | was able to workaround the bug.

New contract orbits were not appearing either until | went through my save game and manually deleted satellite contracts matching the two depicted
(O.M.B. and Sean's Cannery), which were listed as cancelled or failed. Deleting those two caused a 3rd ghost orbit (C7 Aerospace) to appear around
Mun. | then deleted every cancelled/failed contract in my save and now the ghosts are gone and new contract orbits are function correctly.

This should be reproducible from the save | attached.

Thanks!

#2 - 07/03/2016 10:28 PM - Duncan

- File 113Career.sfs added

| have had this in 1.1.3 (some mods were installed).

| am attaching my save as well but | believe the following reproduction steps should work:

1. Put a bunch of satellites in orbit

2. Get a contract to move one of these satellites to a new orbit

3. In the tracking station, observe that the new target orbit is shown

4. Cancel the contract

5. In the tracking station, observe that the new target orbit is still shown

At least that is how it happened for me. | may have terminated the satellite before or after cancelling the contract

#3 - 07/17/2016 11:10 AM - TriggerAu

- Status changed from New to Updated

- % Done changed from 0 to 10

Setting updated for confirmation during cleanup

Would be great to get logs as well as the corresponding save for the issue
